Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163819 - CAN-2005-2335 fetchmail overflow from malicious pop3 server
Summary: CAN-2005-2335 fetchmail overflow from malicious pop3 server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fetchmail
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 13:13 UTC by Mark J. Cox
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-22 08:08:51 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2005-07-21 13:13:46 UTC
It's likely this will be completely caught by FC4 FORTIFY_SOURCE however I've
not verified it yet.  See RHEL bug for (private) proof of concept.

+++ This bug was initially created as a clone of Bug #163816 +++

We were alerted today to a Debian bug report showing a flaw where a malicious
POP3 server could overflow a stack buffer in fetchmail.

Draft advisory at http://fetchmail.berlios.de/fetchmail-SA-2005-01.txt

More details at end of http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=212762

Comment 1 Mark J. Cox 2005-07-21 13:29:26 UTC
(Actually it isn't and wouldn't be caught by FORTIFY_SOURCE)

Comment 2 Miloslav Trmač 2005-07-22 08:08:51 UTC
Fixed in fetchmail-6.2.5-7.fc[34].1


Note You need to log in before you can comment on or make changes to this bug.